package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;

@Service
public interface AppsBusiness {
	
	//APP_ACCOUNT 模拟登陆帐号密码管理
	String insert_app_account(Map<String,Object> entity) throws BusinessException ;

	void update_app_account(Map<String,Object> entity) throws BusinessException ;
	    
	void delete_app_account(List<String> list)throws BusinessException;
	    
	Page<Map<String, Object>> list_app_account(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
	    
	List<Map<String,Object>> list_app_account(Map<String, Object> query) throws BusinessException ;
	    
	int listCount_app_account(Map<String, Object> query) throws BusinessException ;
	
	//APPS_APP app详细信息
	String insert_app(Map<String,Object> entity) throws BusinessException ;

    void update_app(Map<String,Object> entity) throws BusinessException ;
    
    void delete_app(List<String> list)throws BusinessException;
    
    Page<Map<String, Object>> list_app(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
    
    List<Map<String,Object>> list_app(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_apps_portal(Map<String, Object> query) throws BusinessException ;
    
    int listCount_app(Map<String, Object> query) throws BusinessException ;
    
    //APPS_CATEGORY app分类信息
  	void insert_category(Map<String,Object> entity) throws BusinessException ;

    void update_category(Map<String,Object> entity) throws BusinessException ;
      
    void delete_category(List<String> list)throws BusinessException;
      
    Page<Map<String, Object>> list_category(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
      
    List<Map<String,Object>> list_category(Map<String, Object> query) throws BusinessException ;
      
    int listCount_category(Map<String, Object> query) throws BusinessException ;
    
    //APP_INSTALL app用户安装信息
  	void insert_install(Map<String,Object> entity) throws BusinessException ;

    void update_install(Map<String,Object> entity) throws BusinessException ;
      
    void delete_install(List<String> list)throws BusinessException;
    
    void delete_install_app_id(List<String> list) throws BusinessException ;
    
    void delete_install_app_user(Map<String, Object> query) throws BusinessException ;
      
    Page<Map<String, Object>> list_install(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
      
    List<Map<String,Object>> list_install(Map<String, Object> query) throws BusinessException ;
      
    int listCount_install(Map<String, Object> query) throws BusinessException ;
    
    //APPS_UNINSTALL app用户卸载信息
  	void insert_uninstall(Map<String,Object> entity) throws BusinessException ;
      
    void update_uninstall(Map<String, Object> query)throws BusinessException;
    
    void delete_uninstall(List<String> list)throws BusinessException;
    
    void delete_uninstall_app_id(List<String> list) throws BusinessException ;
    
    void delete_uninstall_app_user(Map<String, Object> query) throws BusinessException ;
      
    Page<Map<String, Object>> list_uninstall(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
      
    List<Map<String,Object>> list_uninstall(Map<String, Object> query) throws BusinessException ;
      
    int listCount_uninstall(Map<String, Object> query) throws BusinessException ;
    
    //APPS_USERALLAPP用户所有已安装和未安装app信息 
    Page<Map<String, Object>> list_userallapp(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
      
    List<Map<String,Object>> list_userallapp(Map<String, Object> query) throws BusinessException ;
      
    int listCount_userallapp(Map<String, Object> query) throws BusinessException ;
    
    //APPS_USERALLAPP_NEWUSER找出所有未安装app的信息
    List<Map<String,Object>> list_userallapp_newuser(Map<String,Object> query) throws BusinessException ;
}
